//---------------------------------------------------------------------------

#ifndef GraphConfigH
#define GraphConfigH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Mask.hpp>
#include "CSPIN.h"
#include "VCap.hpp"
//---------------------------------------------------------------------------
class TFGraphConfig : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label6;
        TLabel *Label5;
        TLabel *Label7;
        TLabel *Label8;
        TCheckBox *cbWantPreview;
        TCheckBox *cbWantCapture;
        TCheckBox *cbWantBitmaps;
        TCheckBox *cbWantDVAudio;
        TCheckBox *cbDoPreallocCaptureFile;
        TCheckBox *cbUseTempFile;
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TLabel *Label2;
        TComboBox *cbVSources;
        TComboBox *cbASources;
        TGroupBox *GroupBox2;
        TComboBox *cbVComps;
        TComboBox *cbAComps;
        TCheckBox *cbVComp;
        TCheckBox *cbAComp;
        TCheckBox *cbWantAudio;
        TComboBox *cbDVResolution;
        TComboBox *cbPixelFormat;
        TButton *Button1;
        TButton *Button2;
        TEdit *feCaptureFile;
        TEdit *feTempFile;
        TCSpinEdit *sePreallocSize;
        void __fastcall cbWantPreviewClick(TObject *Sender);
        void __fastcall cbWantAudioClick(TObject *Sender);
        void __fastcall cbWantCaptureClick(TObject *Sender);
        void __fastcall cbUseTempFileClick(TObject *Sender);
        void __fastcall cbVCompClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall cbDoPreallocCaptureFileClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TFGraphConfig(TComponent* Owner);
};
//---------------------------------------------------------------------------
bool EditGraphConfig(TGraphConfig* config);
//---------------------------------------------------------------------------
#endif
